package sikd.sikd5.sikd5bean.ws.transaksi;
// Generated Mar 6, 2019 10:58:36 AM by Hibernate Tools 4.3.1

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement
@XmlType(name = "apbdWS", propOrder = {
    "kodeurusanprogram",
    "namaurusanprogram",
    "kodeurusanpelaksana",
    "namaurusanpelaksana",
    "kodeskpd",
    "namaskpd",
    "kodeunitskpd",
    "namaunitskpd",
    "kodeprogram",
    "namaprogram",
    "kodekegiatan",
    "namakegiatan",
    "namaoutcome", 
    "targetoutcome", 
    "satuanoutcome",
    "namaoutput",
    "targetoutput",
    "satuanoutput",
    "kodelokasi",
    "namalokasi",
    "kodefungsi",
    "namafungsi",
    "kodeakunutama",
    "namaakunutama",
    "kodeakunkelompok",
    "namaakunkelompok",
    "kodeakunjenis",
    "namaakunjenis",
    "kodeakunobjek",
    "namaakunobjek",
    "kodeakunrinci",
    "namaakunrinci",
    "kodeakunsubrinci",
    "namaakunsubrinci",
    "kodeakunsubsubrinci",
    "namaakunsubsubrinci",
    "volume",
    "satuan",
    "hargasatuan",
    "nilaianggaran",
    "catatan"
})
public class Apbd_WS implements java.io.Serializable {

    private String kodeurusanprogram;
    private String namaurusanprogram;
    private String kodeurusanpelaksana;
    private String namaurusanpelaksana;
    private String kodeskpd;
    private String namaskpd;
    private String kodeunitskpd;
    private String namaunitskpd;
    private String kodeprogram;
    private String namaprogram;
    private String kodekegiatan;
    private String namakegiatan;
    private String namaoutcome;
    private Double targetoutcome; 
    private String satuanoutcome;
    private String namaoutput;
    private Double targetoutput;
    private String satuanoutput;
    private String kodelokasi;
    private String namalokasi;
    private String kodefungsi;
    private String namafungsi;
    private String kodeakunutama;
    private String namaakunutama;
    private String kodeakunkelompok;
    private String namaakunkelompok;
    private String kodeakunjenis;
    private String namaakunjenis;
    private String kodeakunobjek;
    private String namaakunobjek;
    private String kodeakunrinci;
    private String namaakunrinci;
    private String kodeakunsubrinci;
    private String namaakunsubrinci;
    private String kodeakunsubsubrinci;
    private String namaakunsubsubrinci;
    private Double volume;
    private String satuan;
    private Double hargasatuan;
    private Double nilaianggaran;
    private String catatan;

    public Apbd_WS() {
    }

    public Apbd_WS(String kodeurusanprogram, String namaurusanprogram, String kodeurusanpelaksana, String namaurusanpelaksana, String kodeskpd, String namaskpd, String kodeunitskpd, String namaunitskpd, String kodeprogram, String namaprogram, String kodekegiatan, String namakegiatan, String namaoutcome, Double targetoutcome, String satuanoutcome,String namaoutput, Double targetoutput, String satuanoutput, String kodelokasi, String namalokasi, String kodefungsi, String namafungsi, String kodeakunutama, String namaakunutama, String kodeakunkelompok, String namaakunkelompok, String kodeakunjenis, String namaakunjenis, String kodeakunobjek, String namaakunobjek, String kodeakunrinci, String namaakunrinci, String kodeakunsubrinci, String namaakunsubrinci, String kodeakunsubsubrinci, String namaakunsubsubrinci, Double volume, String satuan, Double hargasatuan, Double nilaianggaran, String catatan) {
        this.kodeurusanprogram = kodeurusanprogram;
        this.namaurusanprogram = namaurusanprogram;
        this.kodeurusanpelaksana = kodeurusanpelaksana;
        this.namaurusanpelaksana = namaurusanpelaksana;
        this.kodeskpd = kodeskpd;
        this.namaskpd = namaskpd;
        this.kodeunitskpd = kodeunitskpd;
        this.namaunitskpd = namaunitskpd;
        this.kodeprogram = kodeprogram;
        this.namaprogram = namaprogram;
        this.kodekegiatan = kodekegiatan;
        this.namakegiatan = namakegiatan;
        this.namaoutcome=namaoutcome;
        this.targetoutcome = targetoutcome;
        this.satuanoutcome = satuanoutcome;
        this.namaoutput = namaoutput;
        this.targetoutput = targetoutput;
        this.satuanoutput = satuanoutput;
        this.kodelokasi = kodelokasi;
        this.namalokasi = namalokasi;
        this.kodefungsi = kodefungsi;
        this.namafungsi = namafungsi;
        this.kodeakunutama = kodeakunutama;
        this.namaakunutama = namaakunutama;
        this.kodeakunkelompok = kodeakunkelompok;
        this.namaakunkelompok = namaakunkelompok;
        this.kodeakunjenis = kodeakunjenis;
        this.namaakunjenis = namaakunjenis;
        this.kodeakunobjek = kodeakunobjek;
        this.namaakunobjek = namaakunobjek;
        this.kodeakunrinci = kodeakunrinci;
        this.namaakunrinci = namaakunrinci;
        this.kodeakunsubrinci = kodeakunsubrinci;
        this.namaakunsubrinci = namaakunsubrinci;
        this.kodeakunsubsubrinci = kodeakunsubsubrinci;
        this.namaakunsubsubrinci = namaakunsubsubrinci;
        this.volume = volume;
        this.satuan = satuan;
        this.hargasatuan = hargasatuan;
        this.nilaianggaran = nilaianggaran;
        this.catatan = catatan;
    }

    public String getKodeurusanprogram() {
        return kodeurusanprogram;
    }

    public void setKodeurusanprogram(String kodeurusanprogram) {
        this.kodeurusanprogram = kodeurusanprogram;
    }

    public String getNamaurusanprogram() {
        return namaurusanprogram;
    }

    public void setNamaurusanprogram(String namaurusanprogram) {
        this.namaurusanprogram = namaurusanprogram;
    }

    public String getKodeurusanpelaksana() {
        return kodeurusanpelaksana;
    }

    public void setKodeurusanpelaksana(String kodeurusanpelaksana) {
        this.kodeurusanpelaksana = kodeurusanpelaksana;
    }

    public String getNamaurusanpelaksana() {
        return namaurusanpelaksana;
    }

    public void setNamaurusanpelaksana(String namaurusanpelaksana) {
        this.namaurusanpelaksana = namaurusanpelaksana;
    }

    public String getKodeskpd() {
        return kodeskpd;
    }

    public void setKodeskpd(String kodeskpd) {
        this.kodeskpd = kodeskpd;
    }

    public String getNamaskpd() {
        return namaskpd;
    }

    public void setNamaskpd(String namaskpd) {
        this.namaskpd = namaskpd;
    }

    public String getKodeunitskpd() {
        return kodeunitskpd;
    }

    public void setKodeunitskpd(String kodeunitskpd) {
        this.kodeunitskpd = kodeunitskpd;
    }

    public String getNamaunitskpd() {
        return namaunitskpd;
    }

    public void setNamaunitskpd(String namaunitskpd) {
        this.namaunitskpd = namaunitskpd;
    }

    public String getKodeprogram() {
        return kodeprogram;
    }

    public void setKodeprogram(String kodeprogram) {
        this.kodeprogram = kodeprogram;
    }

    public String getNamaprogram() {
        return namaprogram;
    }

    public void setNamaprogram(String namaprogram) {
        this.namaprogram = namaprogram;
    }

    public String getKodekegiatan() {
        return kodekegiatan;
    }

    public void setKodekegiatan(String kodekegiatan) {
        this.kodekegiatan = kodekegiatan;
    }

    public String getNamakegiatan() {
        return namakegiatan;
    }

    public void setNamakegiatan(String namakegiatan) {
        this.namakegiatan = namakegiatan;
    }

    public String getNamaoutcome() {
        return namaoutcome;
    }

    public void setNamaoutcome(String namaoutcome) {
        this.namaoutcome = namaoutcome;
    }

    public Double getTargetoutcome() {
        return targetoutcome;
    }

    public void setTargetoutcome(Double targetoutcome) {
        this.targetoutcome = targetoutcome;
    }

    public String getSatuanoutcome() {
        return satuanoutcome;
    }

    public void setSatuanoutcome(String satuanoutcome) {
        this.satuanoutcome = satuanoutcome;
    }
    
    public String getNamaoutput() {
        return namaoutput;
    }

    public void setNamaoutput(String namaoutput) {
        this.namaoutput = namaoutput;
    }

    public Double getTargetoutput() {
        return targetoutput;
    }

    public void setTargetoutput(Double targetoutput) {
        this.targetoutput = targetoutput;
    }

    public String getSatuanoutput() {
        return satuanoutput;
    }

    public void setSatuanoutput(String satuanoutput) {
        this.satuanoutput = satuanoutput;
    }

    public String getKodelokasi() {
        return kodelokasi;
    }

    public void setKodelokasi(String kodelokasi) {
        this.kodelokasi = kodelokasi;
    }

    public String getNamalokasi() {
        return namalokasi;
    }

    public void setNamalokasi(String namalokasi) {
        this.namalokasi = namalokasi;
    }

    public String getKodefungsi() {
        return kodefungsi;
    }

    public void setKodefungsi(String kodefungsi) {
        this.kodefungsi = kodefungsi;
    }

    public String getNamafungsi() {
        return namafungsi;
    }

    public void setNamafungsi(String namafungsi) {
        this.namafungsi = namafungsi;
    }

    public String getKodeakunutama() {
        return kodeakunutama;
    }

    public void setKodeakunutama(String kodeakunutama) {
        this.kodeakunutama = kodeakunutama;
    }

    public String getNamaakunutama() {
        return namaakunutama;
    }

    public void setNamaakunutama(String namaakunutama) {
        this.namaakunutama = namaakunutama;
    }

    public String getKodeakunkelompok() {
        return kodeakunkelompok;
    }

    public void setKodeakunkelompok(String kodeakunkelompok) {
        this.kodeakunkelompok = kodeakunkelompok;
    }

    public String getNamaakunkelompok() {
        return namaakunkelompok;
    }

    public void setNamaakunkelompok(String namaakunkelompok) {
        this.namaakunkelompok = namaakunkelompok;
    }

    public String getKodeakunjenis() {
        return kodeakunjenis;
    }

    public void setKodeakunjenis(String kodeakunjenis) {
        this.kodeakunjenis = kodeakunjenis;
    }

    public String getNamaakunjenis() {
        return namaakunjenis;
    }

    public void setNamaakunjenis(String namaakunjenis) {
        this.namaakunjenis = namaakunjenis;
    }

    public String getKodeakunobjek() {
        return kodeakunobjek;
    }

    public void setKodeakunobjek(String kodeakunobjek) {
        this.kodeakunobjek = kodeakunobjek;
    }

    public String getNamaakunobjek() {
        return namaakunobjek;
    }

    public void setNamaakunobjek(String namaakunobjek) {
        this.namaakunobjek = namaakunobjek;
    }

    public String getKodeakunrinci() {
        return kodeakunrinci;
    }

    public void setKodeakunrinci(String kodeakunrinci) {
        this.kodeakunrinci = kodeakunrinci;
    }

    public String getNamaakunrinci() {
        return namaakunrinci;
    }

    public void setNamaakunrinci(String namaakunrinci) {
        this.namaakunrinci = namaakunrinci;
    }

    public String getKodeakunsubrinci() {
        return kodeakunsubrinci;
    }

    public void setKodeakunsubrinci(String kodeakunsubrinci) {
        this.kodeakunsubrinci = kodeakunsubrinci;
    }

    public String getNamaakunsubrinci() {
        return namaakunsubrinci;
    }

    public void setNamaakunsubrinci(String namaakunsubrinci) {
        this.namaakunsubrinci = namaakunsubrinci;
    }

    public String getKodeakunsubsubrinci() {
        return kodeakunsubsubrinci;
    }

    public void setKodeakunsubsubrinci(String kodeakunsubsubrinci) {
        this.kodeakunsubsubrinci = kodeakunsubsubrinci;
    }

    public String getNamaakunsubsubrinci() {
        return namaakunsubsubrinci;
    }

    public void setNamaakunsubsubrinci(String namaakunsubsubrinci) {
        this.namaakunsubsubrinci = namaakunsubsubrinci;
    }

    public Double getVolume() {
        return volume;
    }

    public void setVolume(Double volume) {
        this.volume = volume;
    }

    public String getSatuan() {
        return satuan;
    }

    public void setSatuan(String satuan) {
        this.satuan = satuan;
    }

    public Double getHargasatuan() {
        return hargasatuan;
    }

    public void setHargasatuan(Double hargasatuan) {
        this.hargasatuan = hargasatuan;
    }

    public Double getNilaianggaran() {
        return nilaianggaran;
    }

    public void setNilaianggaran(Double nilaianggaran) {
        this.nilaianggaran = nilaianggaran;
    }

    public String getCatatan() {
        return catatan;
    }

    public void setCatatan(String catatan) {
        this.catatan = catatan;
    }

}
